%global srcname conda-package-handling
%global pkgname conda_package_handling

Name:           python-%{srcname}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Create and extract conda packages of various formats

License:        BSD
URL:            https://github.com/conda/%{srcname}
Source0:        https://github.com/conda/%{srcname}/releases/download/%{version}/%{version}.tar.gz

BuildArch:      noarch

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-libarchive-c
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-tqdm
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-cov
Requires:       python%{python3_pkgversion}-libarchive-c
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-tqdm
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%prep
%autosetup -c -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v tests

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.txt CHANGELOG.md README.md
%{_bindir}/cph
%{python3_sitelib}/%{pkgname}-*.egg-info/
%{python3_sitelib}/%{pkgname}/

%changelog
* Sat May 18 2019 Orion Poplawski <orion@nwra.com> - 1.1.1-1
- Initial Fedora package
